library red_fruit_list_tile;

import 'package:flutter/cupertino.dart';

class RedFruitListTile extends StatelessWidget {
  final String title;
  final String subtitle;
  final VoidCallback onTap;

  const RedFruitListTile({Key key, this.title, this.subtitle, this.onTap})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    double height = 43;
    Widget leading;
    Widget titleWidget;
    Widget subtitleWidget;
 /*   List<Widget> columnList = []; */
    List<Widget> rowList = [];

    if (title != null) {
      titleWidget = Text(
        title,
        style: TextStyle(
          fontSize: 16,
        ),
        overflow: TextOverflow.ellipsis,
      );
      rowList.add(titleWidget);
    }

    if (subtitle != null) {
      height = 57;
      subtitleWidget = Text(
        subtitle,
        style: TextStyle(fontSize: 11, color: Color.fromRGBO(120, 120, 120, 1)),
      );
      rowList.add(subtitleWidget);
    }

    double leadingSpace = 20;
    if (leading != null) {}

    var line = SizedBox(
        height: 1,
        child: Padding(
          padding: EdgeInsets.only(left: leadingSpace, top: 0, bottom: 0),
          child: Container(
            color: Color.fromRGBO(198, 198, 198, 1),
          ),
        ));

    var tile = Padding(
        padding: EdgeInsets.symmetric(horizontal: 20, vertical: 8),
        child: Column(
          children: rowList,
          crossAxisAlignment: CrossAxisAlignment.stretch,
          mainAxisAlignment: MainAxisAlignment.center,
        ));
    return SizedBox(
        height: height,
        child: Column(
          children: [tile, line],
          //       mainAxisAlignment: MainAxisAlignment.spac,
        ));
  }
}
